<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.port.mapper.AlarmConfigMapper">

    <resultMap type="com.ltgk.port.domain.entity.AlarmConfig" id="AlarmConfigMap">
        <result property="id" column="id"/>
        <result property="alarmType" column="alarm_type"/>
        <result property="alarmTypeEn" column="alarm_type_en"/>
        <result property="alarmInterval" column="alarm_interval"/>
        <result property="alarmRange" column="alarm_range"/>
        <result property="alarmBeginAt" column="alarm_begin_at"/>
        <result property="alarmEndAt" column="alarm_end_at"/>
        <result property="alarmNum" column="alarm_num"/>
        <result property="outLineInterval" column="out_line_interval"/>
        <result property="configSwitch" column="config_switch"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>
</mapper>

